% ts79 runtimef, newtimef... and plotting all results at bottom
% ------------------------------------------------
%---- memorized letter  CHANNELS ------------------------------
chan_ersp=zeros(256,200,71);
ersp_boot = zeros(2,256,71);
itc_boot= zeros(256,71);
chan_itc=zeros(256,200,71);
figure
for n=1:71
   [ersp,itc,powbase,times,freqs,erspboot,itcboot]=pop_timef( EEG, 1, n, [-2000 2000], 0,'type', 'phasecoher',  'alpha',.01,'padratio', 4);
   chan_ersp(:,:,n)=ersp;
   chan_itc( :,:,n)=itc;
   ersp_boot(:,:,n) =  erspboot;
   itc_boot(:,n) = itcboot';
   clf
end;
comment = 'Sternberg task, mem letts.ts79.  stwts= ICA weights.mem letters only';
save /home/julie/eeg/ts79/Sternberg/ersps/stmemchanersp.mat chan_ersp ersp_boot itc_boot times freqs comment;
save /home/julie/eeg/ts79/Sternberg/ersps/stmemchanitc.mat chan_itc ersp_boot itc_boot comment times freqs;

%---- green letter------
chan_ersp=zeros(256,200,71);
ersp_boot = zeros(2,256,71);
itc_boot= zeros(256,71);
chan_itc=zeros(256,200,71);
figure
for n=1:71
   [ersp,itc,powbase,times,freqs,erspboot,itcboot]=pop_timef( EEG, 1, n, [-2000 2000], 0,'type', 'phasecoher', 'alpha',.01,'padratio', 4);
   chan_ersp(:,:,n)=ersp;
   chan_itc( :,:,n)=itc;
   ersp_boot(:,:,n) =  erspboot;
   itc_boot(:,n) = itcboot';
   clf
end;
comment = 'Sternberg task, grn letts.kb77. stwts= ICA weights.mem letters only';
save /home/julie/eeg/ts79/Sternberg/ersps/stgrnchanersp.mat chan_ersp ersp_boot itc_boot times freqs comment;
save /home/julie/eeg/ts79/Sternberg/ersps/stgrnchanitc.mat chan_itc ersp_boot itc_boot comment times freqs;
%%%%%%%%%%%%%%%%%%%%%% Sternberg (fixation for baseline)%%%%%%%%%%%%%%%%%%%%%%%
% done:
a = [2:4,6:12,14,16:20,23,31,33,42,44];
comment = ' sternberg task.rest fixation periods around fake event "fix"';
comp_ersp=zeros(128,200,71);
ersp_boot = zeros(2,128,71);
itc_boot= zeros(128,71);
comp_itc=zeros(128,200,71);
baseline = zeros(71,128);
figure;
for n=1:length(a)
tl=['kb77 Sternberg Task-- fixation  COMPONENT ' int2str(a(n))]; 
[ersp,itc,powbase,times,freqs,erspboot,itcboot]=timef(EEG.icaact(a(n),:), EEG.pnts,[-2000 2000], 1000,0,'type', 'phasecoher','topovec', EEG.icawinv(:,a(n)),'elocs', EEG.chanlocs, 'title',tl, 'alpha',.01,'padratio',2,'baseline',2000);
  evalstr =['hgsave /home/julie/eeg//Sternberg/ersps/fix/fixcomp' int2str(a(n)) '.fig'];
   eval(evalstr);
 comp_ersp(:,:,a(n))=ersp;
   comp_itc( :,:,a(n))=itc;
   ersp_boot(:,:,a(n)) =  erspboot;
   itc_boot(:,a(n)) = itcboot';
   baseline(a(n),:) = powbase;
clf
end;
save /home/julie/eeg/kb77/Sternberg/ersps/fix/fixcompersp.mat comp_ersp ersp_boot times freqs comment baseline;
save /home/julie/eeg/kb77/Sternberg/ersps/fix/fixcompitc.mat comp_itc itc_boot comment times freqs baseline;
%%%%%%%%%%%%%%%%%% NEWTIMEF Sternberg: Mem vs Grn %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
a = [5,6,10,12,13,16:19,21,23,24,36,40,47];
comp_ersp=cell(47,3);
ersp_boot =cell (47,3);
itc_boot=cell (47,3);
comp_itc=cell(47,3);
baseline = zeros(47,102);
figure;
for n=1:length(a)
   [ersp,itc,powbase,times,freqs,erspboot,itcboot]=newtimef( {ALLEEG(1).icaact(a(n),:), ALLEEG(2).icaact(a(n),:)},EEG.pnts,[-2000 2000], 250,0,'topovec', EEG.icawinv(:,a(n)),'elocs', EEG.chanlocs, 'type', 'phasecoher', 'alpha',.02,'padratio',1,'winsize',256,'nfreqs',102,'newfig','off');  % 
 for k = 1:3
   comp_ersp{a(n),k}=ersp{1,k};
   comp_itc{a(n),k}=itc{1,k};
for k=1:2
  ersp_boot{a(n),k} =  erspboot{1,k};
  itc_boot{a(n),k}  =  itcboot{1,k};
end;
erspdiffboot = erspboot{1,3};
itcdiffboot  = itcboot{1,3};
end;
   baseline(a(n),:) = powbase;
clf
end;
comment = 'ts79 New Sternberg task (long presentation Mem minus Grn).  used nfreqs=102 to get very similar freqs to original analyses. sig: .02';
save /home/julie/eeg/ts79/Sternberg/ersps/lgmemgrndiff.mat comp_ersp ersp_boot  comp_itc itc_boot times freqs comment baseline erspdiffboot itcdiffboot;

%%%%% plot all comp diff tf data in grids of 25 %%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%for regular ersp plots %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f = find (freqs<50);
t = find (times>-200 & times<1300);
a = [5,6,10,12,13,16:19,21,23,24,36,40,47];
figure
for k = 1:length(a)
subplot(5,5,k)
comp = comp_ersp(:,:,a(k));
imagesc(times(t),freqs(f),comp(f,t),[-20 20]);
hold on
plot([0 0],[0 50],'k-');
title(int2str(a(k)))
end;
colorbar

f = find (freqs<50);
t = find (times>4000 & times<24000);
a =[1:9,12:14,16:18,20:26,29,31];%,34:38,46,48,50];
figure
for k = 26:length(a)
subplot(5,5,k-25)
comp = comp_ersp(:,:,a(k));
imagesc(times(t),freqs(f),comp(f,t),[-10 10]);
title(int2str(a(k)))
end;
colorbar
%%%%%%%%%%%%for newtimef plots %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
f = find (freqs<50);
t = find (times>-500 & times<2000);%done:2,4,5,6,7,8,9,11,12,
a = [5,6,10,12,13,16:19,21,23,24,36,40,47];
cond = 3;
figure
for k = 1:length(a)
subplot(4,4,k)
minmask = erspdiffboot(:,:,1);
maxmask = erspdiffboot(:,:,2);
differsp = comp_ersp{a(k),cond};
differsp(find(minmask <= differsp& differsp <= maxmask)) = 0;
differsp = differsp(f,t);
imagesc(times(t),freqs(f),differsp(:,:),[-4 4]);
hold on
plot([0 0],[0 50],'k-');
set(gca,'ytick',[5:5:50]);
title(int2str(a(k)))
end;
colorbar

figure
for k = 51:71
subplot(5,5,k-50)
comp = comp_ersp{k,2};
imagesc(times(t),freqs(f),comp(f,t),[-4 4]);
hold on
plot([0 0],[0 50],'k-');
title(int2str(k))
end;




tl = 'Coherence Differences between Probe and Memorization';
comment = 'jo74 Coherence Differences between {Probe and mem. Cond1=Probe;Cond2=mem';
a = 2;
b = [9];
indx= 1
figure;
[coh,mcoh,timesout,freqsout,cohboot,cohangles] = crossf(ALLEEG(3).icaact(a,:),ALLEEG(3).icaact(b(indx),:), EEG.pnts, [-1000 1800], EEG.srate, 3, 'alpha', 0.01,'padratio', 4, 'topovec', EEG.icawinv(:, [a,b(indx)])', 'elocs', EEG.chanlocs,'winsize',250);

tl = 'correct minus wrong FEEDBACK';
a=[2];
for n=1
[ersp,itc,powbase,times,freqs,erspboot,itcboot,tfdata]=newtimef( {ALLEEG(2).icaact(a(n),:), ALLEEG(3).icaact(a(n),:)}, EEG.pnts,[-2000 2000], 250,0,'type', 'phasecoher','topovec', EEG.icawinv(:,a(n)),'elocs', EEG.chanlocs, 'title',tl, 'alpha',.02,'padratio', 2,'winsize',256,'vert',[-932,700]);
end;
